<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.MainActivity">

    <include
        android:id="@+id/bar"
        layout="@layout/commen_titlebar" />


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                app:cardCornerRadius="8dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/ic_teacher_bg"
                        android:gravity="center"
                        android:text="填写信息待后台审核"
                        android:textColor="#ffffffff"
                        android:textSize="18sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:gravity="center_vertical"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="上传照片"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <Space
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                        <com.google.android.material.imageview.ShapeableImageView
                            android:id="@+id/iv_photo"
                            android:layout_width="80dp"
                            android:scaleType="centerCrop"
                            app:shapeAppearance="@style/circleStyle"
                            android:layout_height="80dp"
                            android:src="@color/app_color_f6" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="5dp"
                            android:src="@drawable/ic_next" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="姓名"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:maxLength="200"
                            android:id="@+id/et_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请输入姓名"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="性别"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <TextView
                            android:id="@+id/tv_sex"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawableRight="@drawable/ic_next"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请选择性别"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="民族"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <TextView
                            android:id="@+id/tv_nation"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawableRight="@drawable/ic_next"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请选择民族"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="身份证号"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:enabled="false"
                            android:maxLength="50"
                            android:id="@+id/et_idcard"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="上传身份证识别身份证号"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="单位名称"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:maxLength="200"
                            android:id="@+id/et_unit"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请输入单位名称"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:paddingRight="15dp"
                            android:text="所属区划"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <TextView
                            android:id="@+id/tv_area"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:drawableRight="@drawable/ic_next"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请选择所属区划"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp" />
<!--                        <com.wisewoods.eduandroid.view.LocationView-->
<!--                            android:id="@+id/lv"-->
<!--                            android:layout_width="match_parent"-->
<!--                            android:layout_height="wrap_content" />-->
                    </LinearLayout>


                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="居住地"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:maxLength="200"

                            android:id="@+id/et_address"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请输入居住地"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="银行卡号"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:maxLength="50"
                            android:id="@+id/et_bank_num"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:enabled="false"
                            android:hint="上传银行卡识别银行卡号"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="银行开户行"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:maxLength="200"
                            android:id="@+id/et_bank"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请输入银行开户行"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingRight="15dp"
                            android:text="联系电话"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <EditText
                            android:id="@+id/et_phone"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:drawablePadding="10dp"
                            android:gravity="right"
                            android:hint="请输入联系电话"
                            android:singleLine="true"
                            android:textColor="#FF303133"
                            android:textColorHint="#FF909399"
                            android:textSize="15sp"
                            android:theme="@style/UpdateUserEditText" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="15dp"
                        android:background="#f3f5f9" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="15dp"
                        android:text="教师简介"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="1000"
                        android:id="@+id/et_des"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/shape_schedule_bg"
                        android:gravity="top"
                        android:hint="请输入个人简介"
                        android:lines="5"
                        android:maxLines="5"
                        android:paddingLeft="10dp"
                        android:paddingTop="15dp"
                        android:paddingRight="10dp"
                        android:paddingBottom="15dp"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="15dp"
                        android:text="荣誉称号"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="1000"
                        android:id="@+id/et_title"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/shape_schedule_bg"
                        android:gravity="top"
                        android:hint="请输入荣誉称号"
                        android:lines="5"
                        android:maxLines="5"
                        android:paddingLeft="10dp"
                        android:paddingTop="15dp"
                        android:paddingRight="10dp"
                        android:paddingBottom="15dp"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="15dp"
                        android:text="身份证照片"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <ImageView
                            android:id="@+id/iv_card1"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:src="@drawable/ic_photo1">

                        </ImageView>

                        <Space
                            android:layout_width="20dp"
                            android:layout_height="0dp" />

                        <ImageView
                            android:id="@+id/iv_card2"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:src="@drawable/ic_photo2">

                        </ImageView>
                    </LinearLayout>

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="15dp"
                        android:text="银行卡照片"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <ImageView
                            android:id="@+id/iv_bank1"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:src="@drawable/ic_photo1">

                        </ImageView>

                        <Space
                            android:layout_width="20dp"
                            android:layout_height="0dp" />

                        <ImageView
                            android:id="@+id/iv_bank2"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:src="@drawable/ic_photo2">

                        </ImageView>
                    </LinearLayout>

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="15dp"
                        android:text="证书照片"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <!--                    <LinearLayout-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_marginBottom="20dp">-->

                    <!--                        <ImageView-->
                    <!--                            android:id="@+id/iv_cert"-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_weight="1"-->
                    <!--                            android:src="@drawable/ic_add_photo">-->

                    <!--                        </ImageView>-->

                    <!--                        <Space-->
                    <!--                            android:layout_width="20dp"-->
                    <!--                            android:layout_height="0dp" />-->

                    <!--                        <ImageView-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_weight="1">-->

                    <!--                        </ImageView>-->
                    <!--                    </LinearLayout>-->
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_photo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:layout_marginBottom="20dp"
                        android:overScrollMode="never" />

                </LinearLayout>


            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/tv_change_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:background="@drawable/shape_mini_btn"
                android:gravity="center"
                android:paddingTop="11dp"
                android:paddingBottom="11dp"
                android:text="提交审核"
                android:textColor="#ffffffff"
                android:textSize="15sp" />
        </LinearLayout>
    </ScrollView>


</LinearLayout>